{% extends 'admin/base.html.twig' %}

{% block title %}Espace administration{% endblock %}

{% block body %}

<div class="d-flex flex-column flex-root app-root" id="kt_app_root">
    <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
        {% block header %}
            {% include "admin/partials/_header.html.twig" %}
        {% endblock %}
        
        <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
            {% block sidebar %}
                {% include "admin/partials/_sidebar.html.twig" %}
            {% endblock %}
    
            {% block content_body %}
        
            {% endblock %}
        </div> 

        {% if oscarActif() %}
            <div class="service-feed" style="opacity: 1; visibility: visible;"><span>Service OSCAR</span></div>
            <div class="feedpopup"><div class="feed_close"><i class="fa fa-remove"></i></div>
                <div id="kt_drawer_chat_toggle" class="app-layout-builder-toggle lh-1 py-4 assistance" data-bs-custom-class="tooltip-inverse" data-bs-toggle="tooltip" data-bs-placement="left" data-bs-dismiss="click" data-bs-trigger="hover" data-bs-original-title="Metronic Builder" data-kt-initialized="1">
                    <a href="{{ path('admin_generateur_contenu_oscarocket') }}" class="link-oscar position-absolute d-block w-100 h-100">
                    {# <img src="{{asset('assets/media/chat/ic3.png')}}" class="h-55px" alt=""> #}
                    <p class="text">Bonjour je m’appelle OSCAR,</br> je suis votre assistant digital personnel, en quoi puis-je vous aider?</p>
                    </a>
                </div>
            </div>
        {% endif %}
    </div>

    {# <div id="kt_drawer_chat" class="bg-body" data-kt-drawer="true" data-kt-drawer-name="chat" data-kt-drawer-activate="true" data-kt-drawer-overlay="true" data-kt-drawer-width="{default:'300px', 'md': '600px'}" data-kt-drawer-direction="end" data-kt-drawer-toggle="#kt_drawer_chat_toggle" data-kt-drawer-close="#kt_drawer_chat_close">
        {{ render(controller('App\\Controller\\Admin\\DashbordController::RenderAssistanceConversation')) }}
    </div> #}
</div>

<div class="modal fade" id="cms_modal_file_manager" data-bs-backdrop="static">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
        	<div class="modal-header pb-0 border-0 justify-content-between">
                <h2>File Manager</h2>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor" />
                            <rect x="7.41422" y="6" width="16" height="2" rx="1" transform="rotate(45 7.41422 6)" fill="currentColor" />
                        </svg>
                    </span>
                </div>
            </div>
            <div class="modal-body">
                <iframe id="myframe-media" src="{{ path('media_manager_modal', {path:'/'}) }}" width="100%" height="500" frameborder="0" loading="lazy"></iframe>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="cms_modal_file_manager_mutiple" data-bs-backdrop="static">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
        	<div class="modal-header pb-0 border-0 justify-content-between">
                <h2>File Manager</h2>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor" />
                            <rect x="7.41422" y="6" width="16" height="2" rx="1" transform="rotate(45 7.41422 6)" fill="currentColor" />
                        </svg>
                    </span>
                </div>
            </div>
            <div class="modal-body">
                <iframe id="myframe-media" src="{{ path('media_manager_multiple_modal', {path:'/'}) }}" width="100%" height="500" frameborder="0" loading="lazy"></iframe>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="cms_modal_file_manager_editor" data-bs-backdrop="static">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
        	<div class="modal-header pb-0 border-0 justify-content-between">
                <h2>File Manager</h2>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor" />
                            <rect x="7.41422" y="6" width="16" height="2" rx="1" transform="rotate(45 7.41422 6)" fill="currentColor" />
                        </svg>
                    </span>
                </div>
            </div>
            <div class="modal-body">
                <iframe id="myframe-media" src="{{ path('media_manager_modal', {path:'/'}) }}" width="100%" height="500" frameborder="0" loading="lazy"></iframe>
            </div>
        </div>
    </div>
</div> 






{% endblock %}


{% block javascripts %}
    {{parent()}}
     
    {% if parametreOscar() %}
            <script>
                var model_chat_gpt = "gpt-3.5-turbo";
                {% if parametreOscar().modelchatgpt == 1 %}
                    model_chat_gpt = "gpt-4";
                {% endif %}
            </script>  
    {% endif %}
     <script>
        $(document).ready(function(){
            $("form[name='assitance']").submit(function(e) {

                e.preventDefault(); 

                var form = $(this);
                var actionUrl = form.attr('action');
                var messageText = $(this).find("#assitance_message").val();
                var messages = document.querySelector('[data-kt-element="messages"]');
                if(messageText != ''){
                    var messageOutTemplate = messages.querySelector('[data-kt-element="template-out"]');
                    var messageInTemplate = messages.querySelector('[data-kt-element="template-in"]');
                    var loading_text = messages.querySelector('[data-kt-element="loading-text"]');
                    var message;
                    
                    // Show example outgoing message
                    message = messageOutTemplate.cloneNode(true);
                    message.classList.remove('d-none');
                    message.querySelector('[data-kt-element="message-text"]').innerText = messageText;		
                    messages.appendChild(message);
                    messages.scrollTop = messages.scrollHeight;

                    let clone_loding = loading_text.cloneNode(true);
                    messages.appendChild(clone_loding);
                    loading_text.remove();
                    messages.scrollTop = messages.scrollHeight;
     
                    $('.loading-text-assistance').css("display", "block");
                    var data_form = form.serialize();
                    form[0].reset();
                    
                    $.ajax({
                        type: "POST",
                        url: "{{path('ajax_chat_conversation')}}",
                        data: data_form,
                        success: function(data){
                            $('.loading-text-assistance').css("display", "none");
                            message = messageInTemplate.cloneNode(true);			
                            message.classList.remove('d-none');
                            message.querySelector('[data-kt-element="message-text"]').innerText = data.message;
                            messages.appendChild(message);
                            messages.scrollTop = messages.scrollHeight;
                        }
                    });                
                }
 
                
            });
        });

        $(window).scroll(function (event) {
            var menu_action = $('.fixed_menu_action');
            var scroll = $(window).scrollTop();
            if(menu_action != undefined){
                if(scroll > 270){
                    menu_action.find('.card-flush:first').addClass('fixed_menu');
                }else{
                    menu_action.find('.card-flush:first').removeClass('fixed_menu');
                }
            }
        });
     
     </script>
{% endblock %}


